library(readr)

data <- readr::read_tsv(file = "statix.log",
                        col_names = c("ip", "ts", "target", "status", "ua"),
                        col_types =  readr::cols(ip = readr::col_character(),
                                                ts = readr::col_double(),
                                                target = readr::col_character(),
                                                status = readr::col_integer(),
                                                ua = readr::col_character()
                                               ),
                        progress = show_progress()
                       )

pre_data <- data

for (i in 1:50) {
    pre_data$ts <- pre_data$ts + 3600
    data <- rbind(data, pre_data)
}

readr::write_tsv(x = data, file="out2.log", col_names=FALSE)
